IF EXISTS ( SELECT * 
            FROM   sysobjects 
            WHERE  id = object_id(N'dbo.CF_Cbte_Nombre_PDF') 
                   and type = 'FN')
BEGIN
    DROP FUNCTION dbo.CF_Cbte_Nombre_PDF
END
GO

CREATE FUNCTION dbo.CF_Cbte_Nombre_PDF(@pId_Trans INT, @pNroCopia TINYINT) 
RETURNS VARCHAR(255)
AS
BEGIN
DECLARE @Nombre_PDF VARCHAR(255)

--===========================================================================================

IF EXISTS ( SELECT * FROM sysobjects 
			WHERE 
			id = object_id(N'dbo.CF_Cbte_Nombre_PDF_') 
			AND type = 'FN')
BEGIN
	/*Si existe la función personalizada CF_Cbte_Nombre_PDF_ utiliza esa*/
    SET @Nombre_PDF = (dbo.CF_Cbte_Nombre_PDF_(@pId_Trans, @pNroCopia))

    RETURN ISNULL(@Nombre_PDF, '')
END

--===========================================================================================

SET @Nombre_PDF = CONVERT(VARCHAR(10), @pId_Trans) + '-' + LTRIM(RTRIM(dbo.CF_Cbte_Descrip(@pId_Trans)))

IF(@pNroCopia > 0)
BEGIN
	SET @Nombre_PDF = LTRIM(RTRIM(@Nombre_PDF)) + ' (' + CONVERT(VARCHAR(3), @pNroCopia) + ')'
END

SET @Nombre_PDF = LTRIM(RTRIM(@Nombre_PDF)) + '.pdf'

RETURN ISNULL(@Nombre_PDF,'')
END
